# Generated from RLCoreKickstart-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name RLCoreKickstart

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Provide some basic tools for the Ruby course at http://rubylearning.org
License: MIT
URL: http://rubylearning.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
BuildArch: noarch

%description
Prepares a set of folders for the RubyLearning Core Ruby Course, install by
issuing command "gem install RLCoreKickstart".


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/skeleton_rl_core
%{_bindir}/testgameboard
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/contributors.txt
%{gem_instdir}/rlcorecoursekickstarter.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.0-1
- Initial package
